Android Studio 3 and gradle 2.5

grunkleStan
Posts: 13
Joined: Sun Aug 13, 2017 11:32 pm

Android Studio 3 and gradle 2.5

Postby grunkleStan » Mon Nov 13, 2017 5:37 am

Hey,

since the update to Android Studio 3, it seems that gradle 2.5 isn't working properly anymore.
At all my ARToolkit projects (including all example Projects) I'm recieving the following error message:

Unsupported method: BaseConfig.getApplicationIdSuffix().
The version of Gradle you connect to does not support that method.
To resolve the problem you can change/upgrade the target version of Gradle you connect to.
Alternatively, you can ignore this exception and read other information from the model.

I've googled a lot abpout this error, the only "solution" I've found is this one:

https://stackoverflow.com/questions/445 ... onidsuffix

But this one is not helping because as far as I understood we need to use 'com.android.tools.build:gradle-experimental:0.2.1' ,right?
Any help or hint is appreciated here, thanks a lot in advance.

jennyhannb
Posts: 3
Joined: Sun Nov 19, 2017 7:22 pm
Contact:

Re: Android Studio 3 and gradle 2.5

Postby jennyhannb » Sun Nov 19, 2017 7:57 pm

The version of Gradle you connect to does not support that method. Yes.
Source: happy wheels game and clicker heroes game.

reza16
Posts: 2
Joined: Sat Nov 25, 2017 10:46 pm

Re: Android Studio 3 and gradle 2.5

Postby reza16 » Sat Nov 25, 2017 11:30 pm

not work for me 'com.android.tools.build:gradle-experimental:0.2.1' in android studio 3!!!!!!
error is :

Error:Unsupported method: BaseConfig.getApplicationIdSuffix().
The version of Gradle you connect to does not support that method.
To resolve the problem you can change/upgrade the target version of Gradle you connect to.
Alternatively, you can ignore this exception and read other information from the model.


Return to “ARToolKit for Desktop v5.x”

Who is online

Users browsing this forum: No registered users and 1 guest